Update sx-build-release
[invirt/packages/invirt-dev.git] / sx-build-release
index ac61422..90b8101 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh 
+#!/bin/bash
 svnuri=file:///afs/sipb.mit.edu/project/xen/svn
 
 set -e
@@ -16,12 +16,14 @@ package=$1
 svn co $svnuri/$package build-release
 olddir=`pwd`
 cd build-release/`basename $package`
-dpkg-parsechangelog \
-|eval  `perl '-F:\s+' -lane 'print  $F[0]."=".$F[1] if /^Version|^Source|^Distribution/'`
+eval  `perl '-F:\s+' -lane 'print  $F[0]."=".$F[1] if /^Version|^Source|^Distribution/' \
+    <(dpkg-parsechangelog)`
+
 
 dpkg-buildpackage -us -uc -rfakeroot
-svn cp -p $svnuri/$package $svnuri/package_tags/$Source/$Version -m "Tag $Version of $Source"
-reprepro-env include $Distribution  ../$Source*$Version.changes
+svn mkdir $svnuri/package_tags/$Source -m "Create package tags directory" ||true
+svn cp  $svnuri/$package $svnuri/package_tags/$Source/$Version -m "Tag $Version of $Source"
+echo reprepro-env include $Distribution  ../${Source}_*${Version}.changes
 
 cd $olddir
 rm -rf build-release